3.2. Java Environments Supported By JBoss Enterprise Application Platform 6

JBoss Enterprise Application Platform 6 requires Java 6 or Java 7. The list of supported Java environments can be found at http://www.jboss.com/products/platforms/application/supportedconfigurations/. A Java Development Kit (JDK) is required for development, and a Java Runtime Environment (JRE) is required to run JBoss Enterprise Application Platform.

Note

If you are using a RPM installation, you need a Java 6 JDK installed even if you use the Java 7 JDK for development.